package paystation.domain;

public class OmegaRateStrategy implements RateStrategy {
  @Override
  public int calculateTime(PrivatePayStation privatePayStation) {
    // If we have 1$ inserted
    if (privatePayStation.getInsertedSoFar() == 100) {
      // 1$ exactly
      privatePayStation.adjustInsertedSoFar(125);
    }
    return privatePayStation.getInsertedSoFar() * 2;
  }
}
