package paystation.domain;

/** A 'private interface' (James Newkirk) which expose
 * only responsibilities related to a paystation's
 * inserted amount of payment during a transaction.
 *
 * An implementation of PayStation must implement
 * this as well as the PayStation interface.
 */
public interface PrivatePayStation {
  int getInsertedSoFar();
  void adjustInsertedSoFar(int newValue);
}
