public class PointOfSale {
  private State state;
  public double calculateSalesTax(double price) {
    switch (state) {
    case CALIFORNIA: return price * 8.25 / 100.0;
    case NEVADA: return price * 8.10 / 100.0;
    default: 
      throw new RuntimeException("Unknown state");
    }
  }
  public enum State {
    CALIFORNIA, NEVADA }
  // rest of functionality omitted
}