import java.io.IOException;

public class Interaktive {

  public static void main(String[] args) throws IOException {

    Safe safe = new SafeImpl();

    int character;
    System.out.println("Enter digits 0-9; k=key button; l=lock button.");
    System.out.println("Hit Ctrl-C to stop application.");

    while ( (character = System.in.read()) != -1 ) { 
      char c = (char) character; 
      boolean legal = true;
      Button b = null;
      switch (c) {
      case '0': b = Button.D0; break;
      case '1': b = Button.D1; break;
      case '2': b = Button.D2; break;
      case '3': b = Button.D3; break;
      case '4': b = Button.D4; break;
      case '5': b = Button.D5; break;
      case '6': b = Button.D6; break;
      case '7': b = Button.D7; break;
      case '8': b = Button.D8; break;
      case '9': b = Button.D9; break;
      case 'l': b = Button.LOCK; break;
      case 'k': b = Button.KEY; break;

      default: legal = false;
      }
      if ( legal ) {
        safe.enter(b);
        System.out.println( "Display: "+safe.readDisplay()+
                            " Locked: "+safe.isLocked() );
      }

    }
  }
}